'use strict';
(function() {

    var hasOwn = {}.hasOwnProperty;

    function reactClass() {
        var classArr = [];

        for (var i = 0; i < arguments.length; i++) {
            var arg = arguments[i];
            if (!arg) continue;

            var argType = typeof arg;

            if (argType === 'string' || argType === 'number') {
                classArr.push(arg);
            } else if (Array.isArray(arg)) {
                classArr.push(reactClass.apply(null, arg));
            } else if (argType === 'object') {
                if ('classname' in arg && 'display' in arg) {
                    if (hasOwn.call(arg, 'display') && arg['classname']) {
                        classArr.push(arg['classname']);
                    }
                } else {
                    for (var key in arg) {
                        if (hasOwn.call(arg, key) && arg[key]) {
                            classArr.push(key);
                        }
                    }
                }
            }
        }

        return classArr.join(' ');
    }

    if (typeof module !== 'undefined' && module.exports) {
        module.exports = reactClass;
    } else if (typeof define === 'function' && typeof define.amd === 'object' && define.amd) {
        define('reactClass', [], function() {
            return reactClass;
        });
    } else {
        window.reactClass = reactClass;
    }
}());
